"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ClinicalEthnicity(object):
    """
    * A     British, Mixed British     * B     Irish     * C     Any other
    White background     * C2    Northern Irish     * C3    Other
    white, white unspecified     * CA    English     * CB    Scottish
    * CC    Welsh     * CD    Cornish     * CE    Cypriot (part not
    stated)     * CF    Greek     * CG    Greek Cypriot     * CH
    Turkish     * CJ    Turkish Cypriot     * CK    Italian     * CL
    Irish Traveller     * CM    Traveller     * CN    Gypsy/Romany
    * CP    Polish     * CQ    All republics which made up the former
    USSR     * CR    Kosovan     * CS    Albanian     * CT    Bosnian
    * CU    Croatian     * CV    Serbian     * CW    Other republics
    which made up the former Yugoslavia     * CX    Mixed white     *
    CY    Other white European, European unspecified, European mixed
    * D     White and Black Caribbean     * E     White and Black
    African     * F     White and Asian     * G     Any other mixed
    background     * GA    Black and Asian     * GB    Black and
    Chinese     * GC    Black and White     * GD    Chinese and White
    * GE    Asian and Chinese     * GF    Other Mixed, Mixed
    Unspecified     * H     Indian or British Indian     * J
    Pakistani or British Pakistani     * K     Bangladeshi or British
    Bangladeshi     * L     Any other Asian background     * LA
    Mixed Asian     * LB    Punjabi     * LC    Kashmiri     * LD
    East African Asian     * LE    Sri Lanka     * LF    Tamil     *
    LG    Sinhalese     * LH    British Asian     * LJ    Caribbean
    Asian     * LK    Other Asian, Asian unspecified     * M
    Caribbean     * N     African     * P     Any other Black
    background     * PA    Somali     * PB    Mixed Black     * PC
    Nigerian     * PD    Black British     * PE    Other Black, Black
    unspecified     * R     Chinese     * S     Any other ethnic group
    * S1    Ashkenazi     * S2    Sephardi     * SA    Vietnamese
    * SB    Japanese     * SC    Filipino     * SD    Malaysian     *
    SE    Any Other Group     * Z     Not stated
    """

    A = "A"
    B = "B"
    C = "C"
    C2 = "C2"
    C3 = "C3"
    CA = "CA"
    CB = "CB"
    CC = "CC"
    CD = "CD"
    CE = "CE"
    CF = "CF"
    CG = "CG"
    CH = "CH"
    CJ = "CJ"
    CK = "CK"
    CL = "CL"
    CM = "CM"
    CN = "CN"
    CP = "CP"
    CQ = "CQ"
    CR = "CR"
    CS = "CS"
    CT = "CT"
    CU = "CU"
    CV = "CV"
    CW = "CW"
    CX = "CX"
    CY = "CY"
    D = "D"
    E = "E"
    F = "F"
    G = "G"
    GA = "GA"
    GB = "GB"
    GC = "GC"
    GD = "GD"
    GE = "GE"
    GF = "GF"
    H = "H"
    J = "J"
    K = "K"
    L = "L"
    LA = "LA"
    LB = "LB"
    LC = "LC"
    LD = "LD"
    LE = "LE"
    LF = "LF"
    LG = "LG"
    LH = "LH"
    LJ = "LJ"
    LK = "LK"
    M = "M"
    N = "N"
    P = "P"
    PA = "PA"
    PB = "PB"
    PC = "PC"
    PD = "PD"
    PE = "PE"
    R = "R"
    S = "S"
    S1 = "S1"
    S2 = "S2"
    SA = "SA"
    SB = "SB"
    SC = "SC"
    SD = "SD"
    SE = "SE"
    Z = "Z"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
